Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class StringTokenIterator

    java.lang.Object
      net.sf.saxon.expr.StringTokenIterator

All Implemented Interfaces:
  SequenceIterator

public class StringTokenIterator
extends java.lang.Object
implements SequenceIterator

StringTokenIterator: breaks a string up into tokens, and returns the tokens as a sequence of strings.

Constructor Summary
`StringTokenIterator(java.lang.String string)` Construct a StringTokenIterator that will break the supplied string into tokens at whitespace boundaries
`StringTokenIterator(java.lang.String string, java.lang.String delimiters)` Construct a StringTokenIterator that will break the supplied string into tokens at any of the delimiter characters included in the delimiter string.

Method Summary
`Item` | `current()` Get the current value in the sequence (the one returned by the most recent call on next()).
`SequenceIterator` | `getAnother()` Get another SequenceIterator that iterates over the same items as the original, but which is repositioned at the start of the sequence.
`Item` | `next()` Get the next item in the sequence.
`int` | `position()` Get the current position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringTokenIterator

    public StringTokenIterator(java.lang.String string)

  Construct a StringTokenIterator that will break the supplied string into tokens at whitespace boundaries

### StringTokenIterator

    public StringTokenIterator(java.lang.String string,
                               java.lang.String delimiters)

  Construct a StringTokenIterator that will break the supplied string into tokens at any of the delimiter characters included in the delimiter string.

Method Detail

### next

    public Item next()

  Description copied from interface: `SequenceIterator`
  Get the next item in the sequence.

  Specified by:
    `next` in interface `SequenceIterator`
  Returns:
    the next item, or null if there are no more items.

### current

    public Item current()

  Description copied from interface: `SequenceIterator`
  Get the current value in the sequence (the one returned by the most recent call on next()). This will be null before the first call of next().

  Specified by:
    `current` in interface `SequenceIterator`
  Returns:
    the current item, the one most recently returned by a call on next(); or null, if next() has not been called, or if the end of the sequence has been reached.

### position

    public int position()

  Description copied from interface: `SequenceIterator`
  Get the current position. This will be zero before the first call on next(), otherwise it will be the number of times that next() has been called.

  Specified by:
    `position` in interface `SequenceIterator`
  Returns:
    the current position, the position of the item returned by the most recent call of next()

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `SequenceIterator`
  Get another SequenceIterator that iterates over the same items as the original, but which is repositioned at the start of the sequence.

  Specified by:
    `getAnother` in interface `SequenceIterator`
  Returns:
    a SequenceIterator that iterates over the same items, positioned before the first item

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD